summarylogtreecommitdiffstats
path: root/icalingua++.sh
diff options
context:
space:
mode:
Diffstat (limited to 'icalingua++.sh')
-rw-r--r--icalingua++.sh19
1 files changed, 12 insertions, 7 deletions
diff --git a/icalingua++.sh b/icalingua++.sh
index 357f7f7bca43..98f84b151b4f 100644
--- a/icalingua++.sh
+++ b/icalingua++.sh
@@ -1,10 +1,15 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron22
-APPDIR="/usr/lib/icalingua++"
-export PATH="${APPDIR}:${PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} --dha "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --dha --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file